<?php
/**
* @version  $Id$
* @author Joomla Bamboo
* @package  JB Minimoo 2
* @copyright Copyright (C) 2006 - 2010 Joomla Bamboo. http://www.joomlabamboo.com  All rights reserved.
* @license  GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
*/
// MiniMoo2
// no direct access
defined('_JEXEC') or die('Restricted access');
// Include helper file
require_once (dirname(__FILE__).DS.'helper.php');
$document =& JFactory::getDocument();
$library = JURI::base(true).'/media/plg_jblibrary/';
$modbase = JURI::base(true).'/modules/mod_minimoo2/';
$subpath = JURI::root(true);
$moduleID	= $module->id;
// Load CSS & JS
$loadCSS = $params->get('loadCSS','head');
$loadJS = $params->get('loadJS','head');
// PrettyPhoto Settings
$prettyPhoto = $params->get('prettyPhoto','1');
$padding = str_replace('px', '', $params->get('padding','40'));
$overlayGallery = $params->get('overlayGallery','1');
$resize = $params->get('resize','true');
$theme = $params->get('theme','dark_rounded');
$prettyBoxTitle = $params->get('prettyBoxTitle','false');
$opacity = $params->get('opacity','0.6');
$prettyBoxSpeed = $params->get('prettyBoxSpeed','normal');
// General Module Settings
$height = str_replace('px', '', $params->get('height','300'));
$width = str_replace('px', '', $params->get('width','600'));
// Transitions
$transition = $params->get('transition','Swing');
$duration = $params->get('duration','400');
// Image Settings
$directory = $params->get('directory', 'images/stories');
$link = $params->get('link',1);
// Lightbox Options
$pngFix = $params->get('pngFix','yes');
// Thumb Settings
$thumbs = $params->get('thumbs','block');
$thumbMarginTop = str_replace('px', '', $params->get('thumbMarginTop','0'));
$thumbMarginLeft = str_replace('px', '', $params->get('thumbMarginLeft','200'));
$thumbDivWidth = str_replace('px', '', $params->get('thumbDivWidth','200'));
$imageMarginTop = str_replace('px', '', $params->get('imageMarginTop','0'));
$imageMarginLeft = str_replace('px', '', $params->get('imageMarginLeft','200'));
// Nav Display
$nav = $params->get('nav','yes');
//include css styles in head
if($loadCSS == 'head') {
	$document->addStyleSheet($modbase.'css/minimoo2.css');
	if ($link) { 
		$document->addStyleSheet($library.'prettyPhoto/css/prettyPhoto.css');
	}
}
//include js scripts in head
if($loadJS == 'head') {
	$document->addScript($modbase . "js/jquery.flow.1.2.js");
	$document->addScript($modbase . "js/jquery.easing.min.js");
	if ($link) { 
		// prettyPhoto Scripts
		$document->addScript($library . "prettyPhoto/js/jquery.prettyPhoto.js");
	} 
}
//get items from helper
$items = modMinimoo2Helper::getList($params, $moduleID);
//load template
require(JModuleHelper::getLayoutPath('mod_minimoo2', 'default'));
?>
