<?php

/**
* @version  mod_minimoo2.php
* @package  JB Minimoo 2
* @copyright Copyright (C) 2006 - 2010 Joomla Bamboo. http://www.joomlabamboo.com  All rights reserved.
* @license  GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );?>

<?php

if($loadCSS == 'body') {	// prettyPhoto Styles ?>

	<link rel="stylesheet" href="<?php echo $modbase ?>css/minimoo2.css" type="text/css" />

	<?php if ($link) {?> 

		<link rel="stylesheet" href="<?php echo $library ?>prettyPhoto/css/prettyPhoto.css" type="text/css" />

    <?php }?>

<?php }?>

<?php if($loadJS == 'body') { // prettyPhoto Scripts?>

	<script type="text/javascript" src="<?php echo $modbase?>js/jquery.flow.1.2.js"></script>

	<script type="text/javascript" src="<?php echo $modbase?>js/jquery.easing.min.js"></script>

    <?php if ($link) {?>     

		<script type="text/javascript" src="<?php echo $library?>prettyPhoto/js/jquery.prettyPhoto.js"></script>

   <?php  }?>

<?php }?>

<script language="javascript">

	jQuery.noConflict();

	jQuery(document).ready(function(){

		jQuery("#minimooThumbs<?php echo $moduleID;?>").jFlow({

			slides: "#minimooSlides<?php echo $moduleID;?>",

			controller: ".minimooControl<?php echo $moduleID;?>", // must be class, use . sign

			slideWrapper : "#minimooSlide<?php echo $moduleID;?>", // must be id, use # sign

			selectedWrapper: "minimooSelected",  // just pure text, no sign

			width: "<?php echo $width+20 ?>px",

			height: "<?php echo $height ?>px",

			easing: "<?php echo $transition ?>",

			duration: <?php echo $duration ?>,

			prev: ".minimooPrev<?php echo $moduleID;?>", // must be class, use . sign

			next: ".minimooNext<?php echo $moduleID;?>" // must be class, use . sign

		});

		jQuery("#minimooSlide<?php echo $moduleID;?>").css({"margin-left":"<?php echo $imageMarginLeft?>px","margin-top":"<?php echo $imageMarginTop?>px","position":"absolute"});

	});

</script>

<?php if ($link) {?>     

	<script type="text/javascript">

    jQuery(document).ready(function(){

         jQuery('a[rel^=\'prettyOverlay\'],a[rel^=\'prettyPhoto<?php echo $moduleID ?>\']').prettyPhoto({

            animationSpeed: '<?php echo $prettyBoxSpeed ?>',

            padding:  <?php echo $padding ?> ,

            showTitle: <?php echo $prettyBoxTitle ?>,

            opacity:  <?php echo $opacity ?> ,

            allowresize: <?php echo $resize ?>,

            counter_separator_label: '/',

			overlay_gallery: <?php echo $overlayGallery ?>,
			theme:  '<?php echo $theme ?>'

        });

    });

    </script> 		

<?php }?>

<!-- Start Minimoo2 by Joomla Bamboo -->

<?php if (count($items)>0){?>

<div>

    <div class="minimoo" style="width:<?php echo $width;?>px;height:<?php echo $height ?>px">     

        

        <div id="minimooThumbs<?php echo $moduleID;?>" class="minimooThumbs" style="display:<?php echo $thumbs;?>;margin-top:<?php echo $thumbMarginTop;?>px;margin-left:<?php echo $thumbMarginLeft;?>px;width:<?php echo $thumbDivWidth;?>px">

        

			<?php for ($i = 0; $i < (count($items)); $i++) :?>

				<?php echo $items[$i]->thumb;?>  

			<?php endfor;?>

            

        </div>

        <div id="minimooSlides<?php echo $moduleID;?>" class="minimooSlides">

			

			<?php for ($i = 0; $i < (count($items)); $i++) :?>

				<?php echo $items[$i]->image;?>  

			<?php endfor;?>

        

        </div>

			<?php if ($nav == "yes") : ?>

                <span class="minimooPrev<?php echo $moduleID;?> minimooPrev">Prev</span> - <span class="minimooNext<?php echo $moduleID;?> minimooNext">Next</span>

        	<?php endif;?>

            

    </div>

</div>

<div class="jbclear"></div>

<?php }else{

	echo 'No Images Found!';

}?>

<!-- End Mini moo2 by Joomla Bamboo -->